<kbd id="gn8q2"><thead id="gn8q2"><acronym id="gn8q2"></acronym></thead></kbd>
<nobr id="gn8q2"><big id="gn8q2"><tr id="gn8q2"></tr></big></nobr><noframes id="gn8q2"><sup id="gn8q2"></sup></noframes>
<nobr id="gn8q2"><object id="gn8q2"></object></nobr>
  • <tbody id="gn8q2"><option id="gn8q2"></option></tbody>

      GAP

      Main Branches

      Downloads  Installation  Overview  Data Libraries  Packages  Documentation  Contacts  FAQ  GAP 3 

      GAP package simpcomp

      A GAP toolbox for simplicial complexes

      simpcomp is a GAP package for working with simplicial complexes. It allows the computation of many properties of simplicial complexes (such as the f-, g- and h-vectors, the face lattice, the automorphism group, (co-)homology with explicit basis computation, intersection form, etc.) and provides the user with functions to compute new complexes from old (simplex links and stars, connected sums, cartesian products, handle additions, bistellar flips, etc.). Furthermore, it comes with an extensive library of known triangulations of manifolds and provides the user with the possibility to create own complex libraries.
      simpcomp caches computed properties of a simplicial complex, thus avoiding unnecessary computations, internally handles the vertex labeling of the complexes and insures the consistency of a simplicial complex throughout all operations.
      simpcomp relies on the GAP package homology for its homology computation, but also provides the user with an own (co-)homology algorithm in case the packacke homology is not available. For automorphism group computation the GAP package GRAPE is used, which in turn uses the program nauty by Brendan McKay. An internal automorphism group calculation algorithm in used as fallback if the GRAPE package is not available.

      Authors
      Felix Effenberger, Jonathan Spreer
      Maintainer
      Jonathan Spreer
      Shipped Version
      2.1.10    (Released 03/06/2019)
      Status
      accepted    (communicated by Graham Ellis (Galway), accepted 01/11/2013)
      Dependencies
      GAP version: >=4.5
      Needed other packages: GAPDoc(>=0.9999), io(>=3.0)
      Suggested other packages: Homology(>=1.4.4), GRAPE(>=4.4), Gauss(>=2011.08.22), MatricesForHomalg(>=2011.10.08), homalg(>=2011.10.05), GaussForHomalg(>=2011.08.10), Modules(>=2011.10.05)
      Documentation
      [HTML]     [PDF]
      Download
      simpcomp-2.1.10   [.tar.gz]
      王中王中特免费公开资料选料